Difference between revisions of "Draft Scale/es"

From FreeCAD Documentation
Jump to navigation Jump to search
(Updating to match new version of source page)
Line 29: Line 29:
 
La herramienta de Escalar se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando la siguiente instrucción:
 
La herramienta de Escalar se puede utilizar en [[macros/es|macros]] y desde la consola de Python utilizando la siguiente instrucción:
  
<syntaxhighlight>
+
{{Code|code=
scale (objects,vector,[center,copy,legacy])
+
scale (objects,vector,[center,copy,legacy])
</syntaxhighlight>
+
}}
  
 
* Escala los objetos contenidos en objects (que pueden ser una lista de objetos o un objeto) por los factores de escala definidos por el vector dado (en direcciones X, Y y Z) con respecto al centro dado.
 
* Escala los objetos contenidos en objects (que pueden ser una lista de objetos o un objeto) por los factores de escala definidos por el vector dado (en direcciones X, Y y Z) con respecto al centro dado.
Line 40: Line 40:
 
Ejemplo:
 
Ejemplo:
  
<syntaxhighlight>
+
{{Code|code=
import FreeCAD,Draft
+
import FreeCAD,Draft
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))
+
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))
</syntaxhighlight>
+
}}
  
 
<languages/>
 
<languages/>

Revision as of 21:45, 1 January 2015

Draft Scale.svg Draft Scale

Ubicación en el Menú
Croquis -> Escala
Entornos de trabajo
Croquis, Arquitectura
Atajo de teclado por defecto
S C
Introducido en versión
-
Ver también
None


Descripción

This tool scales selected object(s) around a base point. If no object is selected, you will be invited to select one. It can also be used to mirror objects.

Draft Scale example.jpg

Utilización

  1. Selecciona los objetos que quieres escalar
  2. Presiona el botón Draft Scale.png Escala, o presiona las teclas S y C
  3. Indica un primer punto en la vista 3D, o escribe unas coordenadas
  4. Indica otro punto en la vista 3D, o escribe unas coordenadas

Opciones

  • To enter coordinates manually, simply enter the numbers, then press ENTER between each X, Y and Z component.
  • The x, y and z components of the second point define the scale factor. For example, (1,1,1) would do nothing, (2,2,2) would scale 2x in all directions, (-1,1,1) would mirror in x direction.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of scaling the original. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will lock x and y values together, so the shape is not deformed.
  • Press ESC or the Cancel button to abort the current command.
  • The resulting object is a Draft Clone, which allows you to change the scale values after it has been created.
  • Mirroring objects works by inverting the sign of one of the directions. For example, (-1,1,1) mirrors horizontally (on the X axis), and (1,-1,1) vertically (on the Y axis).

Programación

La herramienta de Escalar se puede utilizar en macros y desde la consola de Python utilizando la siguiente instrucción:

scale (objects,vector,[center,copy,legacy])
  • Escala los objetos contenidos en objects (que pueden ser una lista de objetos o un objeto) por los factores de escala definidos por el vector dado (en direcciones X, Y y Z) con respecto al centro dado.
  • Si legacy es True, se utiliza el modo directo (antiguo), en caso contrario se crea una copia paramétrica.
  • Si copy es True, los objetos en realidad no se mueven sino que se crean copias en su lugar.
  • Devuelve los objetos (o sus copias).

Ejemplo:

import FreeCAD,Draft
Draft.scale(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,2))
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский